aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2020-03-15 19:36:43 -0500
committerRob Landley <rob@landley.net>2020-03-15 19:36:43 -0500
commit4129bbe7c6dabd96879d4ad1a7b3b2a210bca0f7 (patch)
treee924ff6812b604eff6a61f0736b4db3eadd14e5f /scripts
parentf01dcd6e57ec8a7f41fc7c413d4f524d7f21c150 (diff)
downloadtoybox-4129bbe7c6dabd96879d4ad1a7b3b2a210bca0f7.tar.gz
gcc 8.3.0 changed its arm floating point syntax, plus error handling tweaks.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/mcm-buildall.sh15
1 files changed, 7 insertions, 8 deletions
diff --git a/scripts/mcm-buildall.sh b/scripts/mcm-buildall.sh
index 20713bc8..55fbeb77 100755
--- a/scripts/mcm-buildall.sh
+++ b/scripts/mcm-buildall.sh
@@ -3,6 +3,8 @@
# Script to build all cross and native compilers supported by musl-libc.
# This isn't directly used by toybox, but is useful for testing.
+trap "exit 1" INT
+
if [ ! -d litecross ]
then
echo Run this script in musl-cross-make directory to make "ccc" directory.
@@ -47,7 +49,8 @@ make_toolchain()
HOST="$TARGET"
export NATIVE=y
LP="$OUTPUT/${RENAME:-$TARGET}-cross/bin:$LP"
- [ -z "$(which $TARGET-cc)" ] && return
+ [ -z "$(PATH="$LP" which $TARGET-cc)" ] &&
+ echo "no $TARGET-cc in $LP" && return
fi
COMMON_CONFIG="CC=\"$HOST-gcc -static --static\" CXX=\"$HOST-g++ -static --static\""
export -n HOST
@@ -66,11 +69,7 @@ make_toolchain()
echo -en "\033]2;$TARGET-$TYPE\007"
rm -rf build/"$TARGET" "$OUTPUT" &&
- if [ -z "$CPUS" ]
- then
- CPUS="$(nproc)"
- [ "$CPUS" != 1 ] && CPUS=$(($CPUS+1))
- fi
+ [ -z "$CPUS" ] && CPUS=$(($(nproc)+1))
set -x &&
PATH="$LP" make OUTPUT="$OUTPUT" TARGET="$TARGET" \
GCC_CONFIG="--disable-nls --disable-libquadmath --disable-decimal-float --disable-multilib --enable-languages=c,c++ $GCC_CONFIG" \
@@ -237,8 +236,8 @@ else
# which is used to build the rest (in alphabetical order)
for i in i686:: \
aarch64:eabi: armv4l:eabihf:"--with-arch=armv5t --with-float=soft" \
- "armv5l:eabihf:--with-arch=armv5t --with-float=vfp" \
- "armv7l:eabihf:--with-arch=armv7-a --with-float=vfp" \
+ "armv5l:eabihf:--with-arch=armv5t --with-fpu=vfpv2 --with-float=hard" \
+ "armv7l:eabihf:--with-arch=armv7-a --with-fpu=vfpv3-d16 --with-float=hard" \
"armv7m:eabi:--with-arch=armv7-m --with-mode=thumb --disable-libatomic --enable-default-pie" \
armv7r:eabihf:"--with-arch=armv7-r --enable-default-pie" \
i486:: m68k:: microblaze:: mips:: mips64:: mipsel:: powerpc:: \